Bug 36842 - Error being reported where there is none
Summary: Error being reported where there is none
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
(Show other bugs)
Version: current
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cameron Prince
QA Contact: wbirkhea
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-20 15:24 UTC by Jay Turner
Modified: 2015-01-07 23:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-23 20:28:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-04-20 15:24:42 UTC
Log into http://cprince.devel.webdevel.redhat.com/cgi-bin/store and place a
boxed set in your cart.  Click Checkout and on the cart page, change the
quantity to '-2' and click recalculate.  The quantity will get changed back
to 1 (as it should) but then click the Checkout button and on the next page
(address verification) there will be an error message at the top stating
that "Errors were detected in your last submission.  They are displayed in
RED."  So, it appears that we are setting an error condition in the cart
page and then not clearing it when the user corrects that error and
continues on through the checkout process.

Comment 1 Jason Kohles 2001-04-23 14:23:40 UTC
Fixed, error display added to cart so errors are displayed on the cart page
itself, rather than being carried on to other pages.

Comment 2 Jay Turner 2001-04-23 15:52:55 UTC
The error message is not very helpful to the user however.  I am getting "'-2'
for item5485 is not numeric/integer"  Should probably make this a little more
user friendly and tell the user that they have entered an invalid quantity.

Comment 3 Jason Kohles 2001-04-23 20:28:44 UTC
No problem, I've changed the error message to read: '-3' is not a valid quantity
for 'Red Hat Professional Server + Free Red Hat Cap'

Comment 4 Jay Turner 2001-04-24 18:58:33 UTC
Looks good now.  Closing out this bug.


Note You need to log in before you can comment on or make changes to this bug.